import Foundation

/// 替换你的成你相应的内容, 运行即可
/// 从下面网站随便找一篇英文文章拷贝过来就好
/// 英文资讯网站 http://www.globaltimes.cn (按command后点击可以直接打开网站)
///
let content: String =
"""
Pakistan is prepared to "fight to the end" over the Kashmir issue if necessary, Prime Minister Imran Khan said on Wednesday during a speech from Pakistan-controlled Kashmir. "I don't want war but it's clear now that they [India] don't want to talk," Khan said. Pakistan's 73rd Independence Day was celebrated on Wednesday as "Kashmir Solidarity Day," so as to express support for the people of Kashmir.
"""

/// 排除关键词, 如果缺少其他关键词, 请自行添加
let excludeKeyWord: [String] = ["static", "super", "auto", "struct" , "self", "else", "while", "switch", "case", "break", "default", "continue", "return"]

/// 正则表达式, 单词的合法性, 如果不熟悉, 别改
let regular: String = "^[a-zA-Z]{4,}$"

/// 处理后的单词统一加上前缀, 默认为空
let prefix: String = ""

/// 处理后的单词统一加上后缀, 默认为空
let suffix: String = ""

/// 分割标识
let characterSet: String = ", .\n!'。，()\""

/// 分割并过滤
var words: [String] = content.split(characterSet).compactMap {

    var element = $0.trim().union()
    guard element.match(regular) else {
        
        return nil
    }
    
    element = element.lowerFrist()
    if prefix.count > 0 {
        element = prefix.lowercased() + element.upperFrist()
    }
    
    element = element + suffix
    if excludeKeyWord.contains(element.lowercased()) {
        
        return nil
    }
    
    return element
}

/// 去重
words = Array(Set(words))

let joinString = words.joined(separator: ",")
print("单词数量: \(words.count)", joinString)

